﻿namespace FactPDA.Models
{
    /// <summary>
    /// 입고처리
    /// </summary>
    public class MB050110 : BaseModel
    {
        public string EIOB_DT { get; set; } // 작업일자=전표일자
        public decimal INP_QTY { get; set; } // 입고수량
        public string VEND_NO { get; set; } // 입고업체코드

        public string PORD_NO { get; set; } // 발주번호
        public int PORD_SQ { get; set; } // 발주순번(B)
        public string PORD_DT { get; set; } // 발주일자
        public string PORD_VEND_NO { get; set; } // 발주업체코드
        public string PORD_VEND_NM { get; set; } // 발주업체명
        public string PORD_CLS { get; set; } // 발주구분
        public string PORD_CLS_NM { get; set; } // 발주구분명
        public string ITEM_CD { get; set; } // 품목코드(B)
        public string ITEM_NM { get; set; } // 품목코드명
        public string ITEM_SIZE { get; set; } // 규격
        public string SUB_SIZE { get; set; } // 하위규격
        public string ITEMM_CLS { get; set; } // 제품구분
        public string ITEMM_CLS_NM { get; set; } // 제품구분명
        public string PSAG_CLS { get; set; } // 발주사급구분(B)
        public string PSAG_CLS_NM { get; set; } // 발주사급구분명
        public string PSAG_WACD { get; set; } // 사급창고코드(B)
        public string PSAG_WACD_NM { get; set; } // 사급창고코드명
        public decimal QTY { get; set; } // 수량(B)
        public decimal JAN { get; set; } // 미입고수량(B)
        public decimal UPR { get; set; } // 단가(B)
        public decimal AMT { get; set; } // 금액(B)
        public string REQ_DT { get; set; } // 납품요구일자(B)
        public string REMK { get; set; } // 비고
    }
}
