﻿namespace FactPDA.Models
{
    /// <summary>
    /// 설비조회
    /// </summary>
    public class MB080100 : BaseModel
    {
        public string CORP_CD { get; set; } // 회사코드
        public string EQUI_CD { get; set; } // 설비코드
        public string EQUI_CLS { get; set; } // 설비분류
        public string EQUI_CLS_NM { get; set; } // 설비분류명
        public string EQUI_NM { get; set; } // 설비명칭
        public string EQUI_SIZE { get; set; } // 설비규격
        public string EQUI_SUB_SIZE { get; set; } // 하위규격
        public string EQUI_WHT { get; set; } // 실물크기
        public string EQUI_MD { get; set; } // 모델
        public int QTY { get; set; } // 수량
        public string CTR_DEPT_NO { get; set; } // 관리부서
        public string CTR_DEPT_NM { get; set; } // 관리부서명
        public string CTR_EMP_NO { get; set; } // 관리담당자
        public string CTR_EMP_NM { get; set; } // 관리담당자명
        public string SET_FACT_CLS { get; set; } // 설치공장
        public string SET_FACT_CLS_NM { get; set; } // 설치공장명
        public string SET_PROC_CLS { get; set; } // 설치공정
        public string SET_PROC_CLS_NM { get; set; } // 설치공정명
        public string PROC_SEQ { get; set; } // 공정순서
        public string ACQ_CLS { get; set; } // 취득구분
        public string ACQ_CLS_NM { get; set; } // 취득구분명
        public string ACQ_VEND { get; set; } // 취득업체
        public string ACQ_DT { get; set; } // 취득일자
        public decimal AMT { get; set; } // 취득금액
        public string DCQ_DT { get; set; } // 폐기일자
        public string OWN_CLS { get; set; } // 보유구분
        public string OWN_CLS_NM { get; set; } // 보유구분명
        public string RNT_VEND_NO { get; set; } // 대여업체
        public string RNT_VEND_NM { get; set; } // 대여업체명
        public int CON_YY { get; set; } // 내용연수
        public decimal CON_QTY { get; set; } // 내용생산수량
        public decimal ACM_QTY { get; set; } // 누적생산수량
        public string STAT_CLS { get; set; } // 설비상태
        public string STAT_CLS_NM { get; set; } // 설비상태명
        public string OLD_EQUI_CD { get; set; } // 기존코드
        public int MTBF { get; set; } // MTBF
        public int MTTR { get; set; } // MTTR
        public int MTTF { get; set; } // MTTF
        public string REMK { get; set; } // 비고
        public string USE_YN { get; set; } // 사용여부
        public string DEL_YN { get; set; } // 삭제구분
    }
}